Bug 59813 - "NullReferenceException" in "Xamarin.Forms.Platform.iOS.Renderers.LabelRenderer.cs" within "UpdateText()" & "UpdateTextColor()"
Summary: "NullReferenceException" in "Xamarin.Forms.Platform.iOS.Renderers.LabelRender...
Status: RESOLVED ANSWERED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.4.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-09-28 10:56 UTC by Mathias Hartner
Modified: 2018-03-07 17:28 UTC (History)
37 users (show)

Tags: nre, updatetext, ac fr
Is this bug a regression?: Yes
Last known good build: 2.3.5.239-pre3


Attachments
An updated test project which constantly produces the exception within "UpdateText()" (1.72 MB, application/x-zip-compressed)
2017-11-15 14:28 UTC, Mathias Hartner
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description Mathias Hartner 2017-09-28 10:56:00 UTC
Hey guys,

I have yet another bug for you...Here's the stack trace for "UpdateTextColor()":

2017-09-27 16:41:32.255 [1] [Error] An unhandled exception occurred and was caught by global exception handler CurrentDomainOnUnhandledException. System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.LabelRenderer.UpdateTextColor () [0x00026] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:319 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x0005b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:146 
  at (wrapper delegate-invoke) <Module>:invoke_void_object_PropertyChangedEventArgs (object,System.ComponentModel.PropertyChangedEventArgs)
  at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:137 
  at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:388 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x000f4] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:593 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:390 
  at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x001f9] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:174 
  at Xamarin.Forms.BindingExpression.Apply (System.Boolean fromTarget) [0x0003e] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:56 
  at Xamarin.Forms.BindingExpression+BindingExpressionPart.<PropertyChanged>b__47_0 () [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:551 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIApplication.cs:63 
  at XXX.Mobile.iOS.Application.Main (System.String[] args) [0x0001b] in D:\Sources\XXXCollection\Branches\MobileBranch\Mobile\XXX.Mobile.iOS\Main.cs:21

Stacktrace for "UpdateText()":

2017-09-27 17:03:58.016 [1] [Error] An unhandled exception occurred and was caught by global exception handler CurrentDomainOnUnhandledException. System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.LabelRenderer.UpdateText () [0x0006a] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:285 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x00097] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:150 
  at (wrapper delegate-invoke) <Module>:invoke_void_object_PropertyChangedEventArgs (object,System.ComponentModel.PropertyChangedEventArgs)
  at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:137 
  at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:388 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x000f4] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:593 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:390 
  at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x001f9] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:174 
  at Xamarin.Forms.BindingExpression.Apply (System.Boolean fromTarget) [0x0003e] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:56 
  at Xamarin.Forms.BindingExpression+BindingExpressionPart.<PropertyChanged>b__47_0 () [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:551 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIApplication.cs:63 
  at XXX.Mobile.iOS.Application.Main (System.String[] args) [0x0001b] in D:\Sources\XXXCollection\Branches\MobileBranch\Mobile\XXX.Mobile.iOS\Main.cs:21

It happens within a list view which gets cyclically updated every second if it is visible. 
The list view only contains labels with different colors and is part of a child page within a carousel page.
It happens when swiping into the child page containing the list view (The list view has been updated with new items shortly before).

With Xamarin.Forms 2.3.5.239-pre3 everything is fine. Due to another bug I had to wait for 2.4.0.269-pre2 but that version had another bug and I had to wait for 2.4.0.275-pre3...But now I realized that all those new versions have this bug here that also prevent me from using them...Even with the newest version 2.4.0.280 the problem still exists!

It seems to be a never-ending story!!!

I hope the provided information is enough for you because I don't know what else I could provide you...

Kind regards,

Mathias Hartner
Comment 1 Paul DiPietro [MSFT] 2017-09-28 16:07:01 UTC
Can you give us a reproduction so we have the exact code you're using?
Comment 2 krispenner 2017-10-03 03:27:06 UTC
Xamarin.Forms 2.4.0.282
I also got the same error, unfortunately I have no idea which label is throwing this but it is within a ViewCell created from a data template for the list items in a list view after the ItemSource property's bound list as been cleared and the same number of items re-added.  Hope that can help a little bit!

Based on GitHub line 285 of iOS LabelRenderer is:
Control.Text = (string)values[1];  // is Control or values somehow null?

https://github.com/xamarin/Xamarin.Forms/blob/master/Xamarin.Forms.Platform.iOS/Renderers/LabelRenderer.cs

Stack Trace:
  at Xamarin.Forms.Platform.iOS.LabelRenderer.UpdateText () [0x0006a] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:285 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x00097] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:150 
  at (wrapper delegate-invoke) <Module>:invoke_void_object_PropertyChangedEventArgs (object,System.ComponentModel.PropertyChangedEventArgs)
  at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:137 
  at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:388 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x000f4] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:593 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:390 
  at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x001f9] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:174 
  at Xamarin.Forms.BindingExpression.Apply (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property) [0x0006b] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:77 
  at Xamarin.Forms.Binding.Apply (System.Object newContext, Xamarin.Forms.BindableObject bindObj, Xamarin.Forms.BindableProperty targetProperty) [0x00042] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\Binding.cs:126 
  at Xamarin.Forms.BindableObject.ApplyBindings (System.Boolean skipBindingContext) [0x0003b] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:421 
  at Xamarin.Forms.BindableObject.ApplyBindings () [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:125 
  at Xamarin.Forms.BindableObject.SetInheritedBindingContext (Xamarin.Forms.BindableObject bindable, System.Object value) [0x0005a] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:119 
  at Xamarin.Forms.Element.SetChildInheritedBindingContext (Xamarin.Forms.Element child, System.Object context) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:498 
  at Xamarin.Forms.Element.OnBindingContextChanged () [0x00021] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:341 
  at Xamarin.Forms.View.OnBindingContextChanged () [0x00042] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\View.cs:99 
  at Xamarin.Forms.BindableObject.SetInheritedBindingContext (Xamarin.Forms.BindableObject bindable, System.Object value) [0x00060] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:120 
  at Xamarin.Forms.Element.SetChildInheritedBindingContext (Xamarin.Forms.Element child, System.Object context) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:498 
  at Xamarin.Forms.Element.OnBindingContextChanged () [0x00021] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:341 
  at Xamarin.Forms.Cell.OnBindingContextChanged () [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\Cells\Cell.cs:114 
  at Xamarin.Forms.BindableObject.BindingContextPropertyChanged (Xamarin.Forms.BindableObject bindable, System.Object oldvalue, System.Object newvalue) [0x0000e] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:441 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x00108] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:596 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:390 
  at Xamarin.Forms.BindableObject.SetValue (Xamarin.Forms.BindableProperty property, System.Object value, System.Boolean fromStyle, System.Boolean checkAccess) [0x0005f] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:543 
  at Xamarin.Forms.BindableObject.SetValue (Xamarin.Forms.BindableProperty property, System.Object value) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:83 
  at Xamarin.Forms.BindableObject.set_BindingContext (System.Object value) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:24 
  at Xamarin.Forms.Internals.TemplatedItemsList`2+<UnhookItem>d__154[TView,TItem].MoveNext () [0x000b0] in <1982f4f36e0b4e118327ea411be26e7b>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.0.0.0/src/mono/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:151 
  at System.Runtime.CompilerServices.AsyncMethodBuilderCore+<>c.<ThrowAsync>b__6_0 (System.Object state) [0x00000] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.0.0.0/src/mono/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:1018 
  at UIKit.UIKitSynchronizationContext+<Post>c__AnonStorey0.<>m__0 () [0x00000] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIKitSynchronizationContext.cs:24 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIApplication.cs:63
Comment 3 krispenner 2017-10-03 04:15:45 UTC
I can confirm that the property Control is NULL in LabelRenderer on line 285 of the UpdateText() method.

Control.Text = (string)values[1];  // Control is null

https://github.com/xamarin/Xamarin.Forms/blob/master/Xamarin.Forms.Platform.iOS/Renderers/LabelRenderer.cs

I confirmed this by overriding the LabelRenderer with a custom render and in the OnElementPropertyChanged(object sender, PropertyChangedEventArgs e) method when the "Text" property has changed, the Control property is NULL and calling the base method then throws a NullReferenceException.

It may be some sort of a race condition, as it happens 80% of the time, the other 20% things work.

I don't think this happened prior to me adding a grouping to the list item source, and on the ListView specifying both the GroupHeaderTemplate for the grouping in the list and the GroupShortNameBinding for the jump list.
Comment 4 krispenner 2017-10-03 04:17:59 UTC
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
The work around for  if anyone experiencing this, is unfortunately to disable item recycling, although my lists suck at scrolling now and they are huge.
CachingStrategy="RecycleElement" causes this issue.
CachingStrategy="RetainElement" never has an issue.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Comment 5 mailcannon 2017-10-03 09:53:34 UTC
take a look at https://bugzilla.xamarin.com/show_bug.cgi?id=59716
Comment 6 matteo 2017-10-03 13:15:16 UTC
Even with RetainElement I have the same problem...
Comment 7 mailcannon 2017-10-04 04:47:05 UTC
I have the problem with lists and labels only with RetainElement and  RecycleElement solves it for me. So the workarround is not universal. Actual thing is never solves even if labels are not in lists. And not only labels. It's something with PropertyChanged notifications.
To make your lists a little bit stable you need to mix and play with: CachingStrategy, HasUnevenRows and ViewCell template, from my testing
Comment 8 krispenner 2017-10-04 06:57:37 UTC
Yes, I agree, I found another issue related to this when refreshing the items in one of my ListViews I get the below stack trace.  You can see it has to do with 
Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell

which based on you mentioning HasUnevenRows, I realized all these errors in ListView and Label renderers all started immediately after I set HasUnevenRows to true on all my ListViews so I could have a smaller GroupHeader row.

I have now switched HasUnevenRows back to false (small price to pay with larger group header rows than I wanted) and I have also re-enabled RecycleElement on all my ListViews.  Every ListView now has no issues and they scroll very fast due to (RecycleElement).

Can anyone confirm with setting HasUnevenRows to false if this issue goes away for them?



System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\EventTracker.cs:347 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\EventTracker.cs:413 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <c95050a8f6d640e8927ac3f95b517dff>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <c95050a8f6d640e8927ac3f95b517dff>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <c95050a8f6d640e8927ac3f95b517dff>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\RendererPool.cs:152 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:151 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:134 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <c95050a8f6d640e8927ac3f95b517dff>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <c95050a8f6d640e8927ac3f95b517dff>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <c95050a8f6d640e8927ac3f95b517dff>:0 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:727 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x0005d] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:671 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:394 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000b9] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:515 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:298 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in <1982f4f36e0b4e118327ea411be26e7b>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChangedGrouped (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000e3] in <1982f4f36e0b4e118327ea411be26e7b>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x00008] in <1982f4f36e0b4e118327ea411be26e7b>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <1982f4f36e0b4e118327ea411be26e7b>:0 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\ListProxy.cs:233 
  at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.<OnCollectionChanged>b__0 () [0x00018] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\ListProxy.cs:206 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000a0] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\ListProxy.cs:225 
  at Xamarin.Forms.ListProxy+WeakNotifyProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00031] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\ListProxy.cs:394
Comment 9 matteo 2017-10-04 08:24:46 UTC
The problem occurs even with HasUnevenRows set to false.

The main problem is only on the Label component.
Each times, at the third 'pull to refresh' gesture, the app crash

If instead to bind the Text property I set a fixed value (for example 'test') then the app work without crash, even after the third 'pull to refresh action'
Comment 10 matteo 2017-10-04 08:36:16 UTC
I roll back to xf 2.3.5.239-pre6
Now it works
Comment 11 Mathias Hartner 2017-10-12 10:53:06 UTC
@Xamarin-Team: Is there any progress here? Is the provided information enough for you guys ti figure it out? Can you please tell us when to expect this issue to be resolved?
Comment 12 Shane 2017-10-17 04:22:14 UTC
@matteo thanks for the insight with the bindings. Changing over to just setting things manually instead of using bindings worked well for now
Comment 13 flywhc 2017-10-18 08:51:57 UTC
I saw same exactly problem when using Label in Forms.ListView, when quickly replacing binding data with a List of items in a multithreading program, about 20% chance to see this exception. The exception occurred NOT immediately after my replacing function and NOT in my application thread.

This is the 2nd critical bug I found in Xamarin Forms 2.4.
Comment 14 Doug Johns 2017-10-18 18:30:48 UTC
I am experiencing this issue as well. 

I have a ListView contained in a Grid, with HasUnevenRows and IsGroupingEnabled. Both the GroupHeaderTemplate and the ItemTemplate have Grids with multiple Labels contained inside. All static text is being pulled from a localization resource, and all dynamic text is being bound from the ViewModel.

Using Xamarin.Forms 2.3.4.270, all works as expected. 

When I update to 2.4.0.282, there's an inconsistent error being thrown with the stack trace in Comment 2. This mainly occurs after the 3rd or 4th update from the ViewModel, but not at a constant rate.

Also, when I'm on 2.4.0.282, I'm getting another error from iOS itself. This is what HockeyApp reports as the error message in this scenario: 
"Terminating app due to uncaught exception 'NSInternalInconsistencyException', reason: 'Invalid update: invalid number of sections. The number of sections contained in the table view after the update (2) must be equal to the number of sections contained in the table view before the update (1), plus or minus the number of sections inserted or deleted (0 inserted, 0 deleted)."
This seems to occur less frequently than the above, about 10% of the time after an update from the ViewModel.

I've attempted to create a small repo project, but am unable to reproduce either of these issues this way.
Comment 15 Mathias Hartner 2017-10-19 15:10:14 UTC
I'm setting this to assgined in the hope you guys can figure it out.
As you can see, here are a lot of folks who struggle with the same problems and I think there should be enough information for you to point you in the right direction.
Comment 16 Paul DiPietro [MSFT] 2017-10-19 15:33:16 UTC
Please don't set bugs to assigned, as we set that status on our end as part of internal tracking and it could get lost in the shuffle otherwise. We still would very much prefer getting a reproduction to see precisely the code being used. Lease let me stress that even if it reproduces only a small portion of the time, like 10 or 20 percent, it's better than nothing at all.
Comment 17 Mathias Hartner 2017-10-19 15:38:23 UTC
OK, I'll try to reproduce it and hope to provide you a demonstrating project until tomorrow.
Comment 18 Mathias Hartner 2017-10-20 12:55:40 UTC
Created attachment 25381 [details]
A test project which constantly produces the exception within "UpdateText()"

So finally I have a test project which always produces a NRE within "UpdateText()". Please keep it private because it contains a lot of business code.

Just set the iOS project as startup project (if it isn't already) and start the app on a device or on the simulator. Don't worry it will take some time until you see the "Browse" page. Head over to the tab "Function Dialog" on the lower right and wait until the breakpoint is hit. If the breakpoint shouldn't be set, set it in "FunctionDialogViewModel" at line 260.

I removed all NuGet packages and bin/obj folders to not exceed the file size limit.

Please make at least the test project private, I don't have the rights to do so.
Comment 19 Paul DiPietro [MSFT] 2017-10-23 03:06:06 UTC
Thank you for the reproduction. It is a bit hefty but certainly better than nothing to work with. I will set this as confirmed until it can be further investigated.
Comment 20 cjw1115@hotmail.com 2017-10-24 08:31:50 UTC
it's a bug about ListViewRenderer.
When I install Xamarin.Forms2.3.4,everything is ok.But when I install Xamarin.Fomrs2.4.0,the app will be crash when the itemsource changed frequently.
And I have made a git diff between 2.3.4 and 2.4.0 version about ListViewRenderer.cs,I found that the renderer is almost refactor.
Comment 21 Romulo 2017-10-24 15:57:38 UTC
Hey Guys, chiming in from over here:

https://forums.xamarin.com/discussion/105476/listview-nullreferenceexception-when-reseting-updating-itemsource

Setting HasUnevenRows to false and setting RowHeight manually works around this bug.
Comment 22 Samantha Houts [MSFT] 2017-10-24 18:42:55 UTC
https://github.com/xamarin/Xamarin.Forms/pull/1216
Comment 23 Chris King 2017-10-24 20:45:45 UTC
Actually, let's go with this fix: https://github.com/xamarin/Xamarin.Forms/pull/1226
Comment 24 yamachu 2017-11-01 17:52:31 UTC
https://bugzilla.xamarin.com/show_bug.cgi?id=59813#c23
I built Xamarin.Forms with this PR and https://github.com/xamarin/Xamarin.Forms/pull/1244 
Then I confirmed that my app(https://github.com/yamachu/TonpeiFes2017) would crash or not.
My app didn't crash!

This issue seems to be solved.
Comment 25 Samantha Houts [MSFT] 2017-11-03 21:15:26 UTC
Should be fixed in 2.4.0 SR4. Thank you!
Comment 26 Mathias Hartner 2017-11-07 10:37:54 UTC
Even with version 2.4.0.38779 I still get the same exception like I stated in my last comment 18. Now I don't get any exception within "UpdateText()" but I still get a NRE in code line 319 within "UpdateTextColor()". Just run my sample project with version 2.4.0.38779 and you can see that.

So this issue has not yet been resolved!
Comment 27 yamachu 2017-11-07 10:51:39 UTC
Did you try Xamarin.Forms sr-4?
Xamarin.Forms 2.4.0.38779 is sr-3.

Currently we cannot try sr-4 via nuget.org...

So download sr-4 from here
https://github.com/xamarin/Xamarin.Forms/releases/tag/release-2.4.0-sr4
Comment 28 TRO Solo 2017-11-07 11:01:19 UTC
To clarify: Service Release 4 (SR-4) is version 2.4.0.56808 and can be downloaded manually via the link @yamachu provided.
Comment 29 Mathias Hartner 2017-11-07 11:15:02 UTC
Yep...My bad...

I thought SR4 is version 2.4.0.38779 but actually it is 2.4.0.56808.
So thanks for the download link and the clarification guys!

I tested it and the bug seems also to be fixed for me.

THX all!
Comment 30 ThumbGen 2017-11-07 11:16:10 UTC
Will the SR4 be published on nuget.org soon?

Thx
/R
Comment 31 TRO Solo 2017-11-09 10:57:04 UTC
Regarding the UpdateTextColor() bug and stack trace mentioned in the first comment: We encounter this exception occasionally even with SR-4. Based on customer feedback and crash report analyzing, this might be due to the usage of DynamicResources for the TextColor property of the Label. We support theme switching at runtime and our Labels' TextColor properties are set to a DynamicResource located within the ResourceDictionary defined within the App.xaml which we update with pre-defined values.

Some newly received crash reports indicate that the user might have used this feature just before the System.NullReferenceException gets thrown by the Xamarin.Forms.Platform.iOS.LabelRenderer.UpdateTextColor method.
Comment 32 ThumbGen 2017-11-13 11:29:12 UTC
I got the error again, using Xamarin.Forms 2.4.0.74863

I set TextColor for a Label like:

TextColor="{Binding IsSelected, Converter={StaticResource SelectedToColorConverter}}"

where the SelectedToColorConverter simply returns a Color object.

Stack trace:

at Xamarin.Forms.Platform.iOS.LabelRenderer.UpdateTextColor () <0x1014734c0 + 0x000f4> in <eb211aa32ac8429489411f4d642db9c2#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) <0x101472c60 + 0x000db> in <eb211aa32ac8429489411f4d642db9c2#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at (wrapper delegate-invoke) <Module>:invoke_void_object_PropertyChangedEventArgs (object,System.ComponentModel.PropertyChangedEventArgs)
  at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) <0x1012e5750 + 0x0007f> in <6f4d3098293c4695a30698c64c576a90#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) <0x101356580 + 0x00023> in <6f4d3098293c4695a30698c64c576a90#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) <0x1012e8040 + 0x00247> in <6f4d3098293c4695a30698c64c576a90#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) <0x1012e6f40 + 0x00517> in <6f4d3098293c4695a30698c64c576a90#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) <0x1012edbb0 + 0x005bf> in <6f4d3098293c4695a30698c64c576a90#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at Xamarin.Forms.BindingExpression.Apply (System.Boolean fromTarget) <0x1012ed840 + 0x0008f> in <6f4d3098293c4695a30698c64c576a90#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at Xamarin.Forms.BindingExpression+BindingExpressionPart.<PropertyChanged>b__47_0 () <0x1012f07c0 + 0x00023> in <6f4d3098293c4695a30698c64c576a90#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at Foundation.NSAsyncActionDispatcher.Apply () <0x101528c60 + 0x00023> in <f5f7bf9082f2423098c34fc985600d02#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) <0x1015472d0 + 0x0002b> in <f5f7bf9082f2423098c34fc985600d02#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) <0x101547210 + 0x000ab> in <f5f7bf9082f2423098c34fc985600d02#8e1c0bfe1aaff8acf65b2474903c6737>:0 
  at PTMate.iOS.Application.Main (System.String[] args) <0x100aae840 + 0x00023> in <118ebb1c535e414c9c27ea53b2559240#8e1c0bfe1aaff8acf65b2474903c6737>:0
Comment 33 Luis 2017-11-14 09:08:50 UTC
We've got similar crashes on 2.4.0 SR5.

*** Terminating app due to uncaught exception 'System.NullReferenceException', reason: 'System.NullReferenceException: Object reference not set to an instance of an object'

Xamarin Exception Stack:
  at Xamarin.Forms.Platform.iOS.LabelRenderer.UpdateText () [0x0006a] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:285 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x00097] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:150 
  at (wrapper delegate-invoke) <Module>:invoke_void_object_PropertyChangedEventArgs (object,System.ComponentModel.PropertyChangedEventArgs)
  at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:137 
  at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\Element.cs:388 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x000f4] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:593 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:390 
  at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x001f9] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindingExpression.cs:174 
  at Xamarin.Forms.BindingExpression.Apply (System.Boolean fromTarget) [0x0003e] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindingExpression.cs:56 
  at Xamarin.Forms.BindingExpression+BindingExpressionPart.<PropertyChanged>b__47_0 () [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindingExpression.cs:551 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/Foundation/NSAction.cs:163 
--- End of stack trace from previous location where exception was thrown ---
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5024/152b654a/source/xamarin-macios/src/UIKit/UIApplication.cs:63
Comment 34 Mathias Hartner 2017-11-15 14:28:32 UTC
Created attachment 25720 [details]
An updated test project which constantly produces the exception within "UpdateText()"

As I can see we are not the only ones who are still struggling with 2.4.0.56808.
But I took some time and adjusted my sample project to produce the same exception at the same location as in our production code.

Just set the iOS project as startup project (if it isn't already) and start the app on a device or on the simulator. Don't worry it will take some time until you see the "Browse" page. Head over to the tab "Function Dialog" on the lower right. Then tap on "Hour" (Funnily enough if you tap on "Minute" or "Second" and change the value, no NRE is raised). A new content page with an entry field on the top will appear. Change the default value and wait until the breakpoint is hit. If the breakpoint shouldn't be set, set it in "ParameterListViewItem" at line 57. The exception will occur after the fourth time the breakpoint has been hit.
It has definitely to do with "HasUnevenRows" of the list view.
If it is set to "false", no NRE is raised. Unfortunately we need it to be set to "true".

See my comments within method "AddFakeParameterViewModels()" & within the property changed handler of "ParameterListViewItem.cs".

Again, I removed all NuGet packages and bin/obj folders to not exceed the file size limit and please make the attachment private, same reasons as before!
Comment 35 Luis 2017-11-16 16:37:58 UTC
Still failing on 2.5.0.77107 for us (as probably expected, but had to give it a go).
Comment 36 Mathias Hartner 2017-11-20 17:47:23 UTC
Did my sample project help you guyz to narrow it down?
Any progress so far? Please give us a short info about the current state.
Thanks in advance.
Comment 37 Tejas 2017-11-26 20:28:50 UTC
I'm able to repro the issue with ListViews+HasUnevenRows=true, as reported by krispenner@hotmail.com above on XF 2.5.0.91635.

Unhandled Exception:
System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <9a5948fff8254b13a3d593c76c73b9b1>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <9a5948fff8254b13a3d593c76c73b9b1>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualE
lement element) [0x00000] in <9a5948fff8254b13a3d593c76c73b9b1>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS
.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <9a5948fff8254b13a3d593c76c73b9b1>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <9a5948fff8254b13a3d593c76c73b9b1>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <9a5948fff8254b13a3d593c76c73b9b1>:0 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:745 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x00095] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:689 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in D:\agent\_work\2\s
\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:399 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000bc] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:527 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent\_work\2\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:298 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in <1feef6e00a314921bf9a29876c83b540>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x0047b] in <1feef6e00
a314921bf9a29876c83b540>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <1feef6e00a314921bf9a29876c83b540>:0 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent\_work\2\s\Xamarin.Forms.Core\ListProxy.cs:233 
  at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.<OnCollectionChanged>b__0 () [0x00018] in D:\agent\_work\2\s\Xamarin.Forms.Core\ListProxy.cs:206 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000a0] in D:\agent\_work\2\s\Xamarin.Forms.Core\ListProxy.cs:225 
  at Xamarin.Forms.ListProxy+WeakNotifyProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00031] in D:\agent\_work\2\s\Xamarin.Forms.Core\ListProxy.cs:394 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000f] in <229b28fdde8a4b7a9f48acaea4186a74>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00009] in <229b28fdde8a4b7a9f48acaea4186a74>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in <229b28fdde8a4b7a9f48acaea4186a74>:0 
  at System.Collections.ObjectModel.Collection`1[T].Insert (System.Int32 index, T item) [0x0002f] in <136edfc8e644410eb152bce382121c61>:0 
  at Egg.Poached.Core.ViewModels.HomeVm+<>c__DisplayClass36_1.<.ctor>b__19 () [0x0005b] in C:\Users\TejasViswanath\Source\Repos\Egg.Poached\Egg.Poached.Core\ViewModels\HomeVm.cs:164
Comment 38 matteo 2017-11-28 13:40:32 UTC
Error not solved in last version.

Maybe is related, if I write a renderer like this:

public override UITableViewCell GetCell(Cell item, UITableViewCell reusableCell, UITableView tv)
	{
		var cell = base.GetCell(item, reusableCell, tv);
		if (cell != null)
		{
			cell.SelectionStyle = UITableViewCellSelectionStyle.Blue;
		}
		return cell;
	}

I have this error instead of "NullReferenceException":
"xamarin item index was out of range. must be non-negative and less than the size of the collection. parameter name: index" on the 'var cell = base.GetCell(item, reusableCell, tv);' row.
(using a grouped listview, RetainElement, HasUnevenRows)

With XF version 2.3.5.239-pre3 is working

Hope it can helps
Comment 39 Ammar Mheir 2017-12-04 16:51:33 UTC
We also still seem to be experiencing this same issue. When HasUnevenRows is set to False, we are unable to replicate. Below is the stack trace and version information. We verified this is also occuring on the latest Xamarin.Forms 2.5 as well.  

>System.NullReferenceException: Object reference not set to an instance of an object
>  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in <47a2c3907d3d46f58fede29f6c11765e>:0
>  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in <47a2c3907d3d46f58fede29f6c11765e>:0
>  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <47a2c3907d3d46f58fede29f6c11765e>:0
>  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <47a2c3907d3d46f58fede29f6c11765e>:0
>  at Xamarin.Forms.Platform.iOS.ImageRenderer.<>n__0 (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <47a2c3907d3d46f58fede29f6c11765e>:0
>  at Xamarin.Forms.Platform.iOS.ImageRenderer+<OnElementChanged>d__2.MoveNext () [0x000d6] in <47a2c3907d3d46f58fede29f6c11765e>:0
>--- End of stack trace from previous location where exception was thrown ---
>  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.3.0.47/src/mono/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:151
>  at System.Runtime.CompilerServices.AsyncMethodBuilderCore+<>c.<ThrowAsync>b__6_0 (System.Object state) [0x00000] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.3.0.47/src/mono/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:1018
>  at UIKit.UIKitSynchronizationContext+<Post>c__AnonStorey0.<>m__0 () [0x00000] in /Users/builder/data/lanes/5520/51128b8c/source/xamarin-macios/src/UIKit/UIKitSynchronizationContext.cs:24
>  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5520/51128b8c/source/xamarin-macios/src/Foundation/NSAction.cs:163
>--- End of stack trace from previous location where exception was thrown ---
>  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
>  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5520/51128b8c/source/xamarin-macios/src/UIKit/UIApplication.cs:79
>  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5520/51128b8c/source/xamarin-macios/src/UIKit/UIApplication.cs:63
>  at GuitarCenterNativeApp.iOS.Application.Main (System.String[] args) [0x00002] in /Users/jaridgoodwin/Desktop/GuitarCenterOnPrem/iOS/Main.cs:19

##Version Information

=== Visual Studio Professional 2017 for Mac ===

Version 7.2.2 (build 11)
Installation UUID: 7fb0c39f-4886-46d8-af42-d03b32a4dca2
Runtime:
                Mono 5.4.1.6 (2017-06/1f4613aa1ac) (64-bit)
                GTK+ 2.24.23 (Raleigh theme)

                Package version: 504010006

=== Apple Developer Tools ===

Xcode 9.1 (13532)
Build 9B55

=== Xamarin.iOS ===

Version: 11.3.0.47 (Visual Studio Professional)
Hash: 51128b8c
Branch: xcode9.1
Build date: 2017-10-31 22:42:13-0400

=== Xamarin.Android ===

Version: 8.0.2.1 (Visual Studio Professional)
Android SDK: /Users/jaridgoodwin/Library/Developer/Xamarin/android-sdk-macosx
                Supported Android versions:
                                7.1 (API level 25)
                                8.0 (API level 26)

SDK Tools Version: 25.2.5
SDK Platform Tools Version: 25.0.4
SDK Build Tools Version: 25.0.2

Java SDK: /Library/Java/JavaVirtualMachines/jdk1.8.0_121.jdk/Contents/Home
java version "1.8.0_121"
Java(TM) SE Runtime Environment (build 1.8.0_121-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.121-b13, mixed mode)

=== Xamarin.Mac ===

Version: 3.8.1.0 (Visual Studio Professional)


=== Build Information ===

Release ID: 702020011
Git revision: b604c37c5a4a2f0919b45ffbe2aaad9fe040af31
Build date: 2017-11-01 08:31:43-04
Xamarin addins: d57dc14cbd4eb166ee62bab585965ab78d3650bc
Build lane: monodevelop-lion-d15-4

=== Operating System ===

Mac OS X 10.13.1
Darwin 17.2.0 Darwin Kernel Version 17.2.0
    Fri Sep 29 18:27:05 PDT 2017
    root:xnu-4570.20.62~3/RELEASE_X86_64 x86_64
Comment 40 Thomas Haukland 2017-12-11 10:15:48 UTC
Just a quick +1 from me: jsut got bitten by this. Setting HasUnevenRows made things stable again. (ios, xamarin forms 2.5.0.121934)
Comment 41 Thomas Haukland 2017-12-11 10:16:35 UTC
Sorry, I meant setting to false of course...
Comment 42 Tejas 2017-12-11 10:33:16 UTC
Hello, Xamarin, any updates on this? Its a pretty serious regression, and is blocking all our upgrades to the new features released on XF >= 2.4
Comment 43 Ken Pespisa 2017-12-11 12:05:09 UTC
This bug only affected my app in a couple of areas, so I worked around it by changing my Observable collection to a List, and then switched to replacing my listview's itemsource each time the data is refreshed.
Comment 44 Luis 2017-12-15 11:21:12 UTC
Workarounds like HasUnevenRows either do not work or are unsuitable for our application, so we're experimenting with overriding the iOS LabelRenderer.
The renderer does a lot of Control.SOMETHING which will crash often as Control is null. checking for null before attempting to run that code seems to make it run as expected. This is obviously far from ideal but we need to update xamarin packages and tools and this bug is terminal for our app.
Comment 45 David Ortinau [MSFT] 2017-12-20 01:45:41 UTC
Migrated to https://github.com/xamarin/Xamarin.Forms/issues/1435

Please subscribe to that issue for future updates.
Comment 46 Rui Marinho 2018-01-09 15:07:35 UTC
Anyone with a smaller reproduction case for this ? without tons of extra libraries?!
Comment 47 CF 2018-01-11 17:52:38 UTC
This sample with repro easily this issue
https://1drv.ms/u/s!ADs3KP_7p6sPifI2

In the cell template we have a boxview with a tap gesture that seems to cause the issue. Still I don't know a fix for this :(

<BoxView >
  <BoxView.GestureRecognizers>
    <TapGestureRecognizer Command="{Binding SomeCommand}"></TapGestureRecognizer>
  </BoxView.GestureRecognizers>
</BoxView>
Comment 48 CF 2018-01-11 18:29:56 UTC
PS: For above example:

works fine on Android, crashes on iOS with
System.NullReferenceException: Object reference not set to an instance of an object

at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 at Xamarin.Forms.Platform.iOS.VisualElementRenderer1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs1[TElement] e) [0x00020] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementRenderer.cs:279 at Xamarin.Forms.Platform.iOS.VisualElementRenderer1[TElement].SetElement (TElement element) [0x00110] in D:\agent_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementRenderer.cs:189
at Xamarin.Forms.Platform.iOS.VisualElementRenderer1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementRenderer.cs:140 at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 at Xamarin.Forms.Platform.iOS.VisualElementRenderer1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs1[TElement] e) [0x00020] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementRenderer.cs:279 at Xamarin.Forms.Platform.iOS.VisualElementRenderer1[TElement].SetElement (TElement element) [0x00110] in D:\agent_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementRenderer.cs:189
at Xamarin.Forms.Platform.iOS.VisualElementRenderer1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementRenderer.cs:140 at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:757 at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:701 at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:408 at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000bc] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:536 at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:307 at Xamarin.Forms.Internals.TemplatedItemsList2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent_work\1\s\Xamarin.Forms.Core\TemplatedItemsList.cs:771
at Xamarin.Forms.Internals.TemplatedItemsList2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x0047b] in D:\agent\_work\1\s\Xamarin.Forms.Core\TemplatedItemsList.cs:1114 at Xamarin.Forms.Internals.TemplatedItemsList2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent_work\1\s\Xamarin.Forms.Core\TemplatedItemsList.cs:968
at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent_work\1\s\Xamarin.Forms.Core\ListProxy.cs:233
at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.b__0 () [0x00018] in D:\agent_work\1\s\Xamarin.Forms.Core\ListProxy.cs:206
at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/Foundation/NSAction.cs:163
--- End of stack trace from previous location where exception was thrown ---
at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:79
at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:63
at ProjError01.iOS.Application.Main (System.String[] args) [0x00014] in D:\DATA\Claudiu\Documents\Visual Studio 2017\Projects\ProjError01\ProjError01\ProjError01.iOS\Main.cs:23
Comment 49 CF 2018-01-11 19:35:31 UTC
Updated link with sample project:  https://1drv.ms/u/s!Ajs3KP_7p6sPifI2h-5igH-JN782tw
Comment 50 agsvader 2018-01-14 13:06:19 UTC
I managed to make it work for Xamarin.Forms version 2.5.0.121934 by setting  HasUnevenRows=true and setting RowHeight to listview manually. As i have IsGroupingEnabled = true, i need to set the height of viewcell header as well.
Comment 51 Victor Arce 2018-01-25 23:22:43 UTC
Looks like updating to the latest version did the trick, also I removed ObservableCollection and use List, I dunno if this was related too.
Comment 52 sylmz 2018-02-12 09:03:57 UTC
It seems that the bug still exists,I am using Xamarin.Forms 2.5.0.122203 and here is the output. 

[0:] Error: CurrentDomainOnUnhandledException: CurrentDomainOnUnhandledException
System.Exception: CurrentDomainOnUnhandledException ---> System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0003e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:134 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:757 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:701 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:408 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000bc] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:536 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:307 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x0001a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:233 
  at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.<OnCollectionChanged>b__0 () [0x00018] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:206 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000a0] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:225 
  at Xamarin.Forms.ListProxy+WeakNotifyProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00031] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:394 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000f] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00009] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.Collection`1[T].Add (T item) [0x00020] in <a5703d12a6ed4411886f1283d7c45793>:0 
  at MyAppSyncMobile.ViewModels.MainViewModel+<>c__DisplayClass123_3.<RefreshMachineList>b__5 () [0x0004d] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile\ViewModels\MainViewModel.cs:1078 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:63 
  at MyAppSyncMobile.iOS.Application.Main (System.String[] args) [0x00030] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile.iOS\Main.cs:25 
   --- End of inner exception stack trace ---

####################################
The thread 0x5 has exited with code 0 (0x0).
The thread 0x6 has exited with code 0 (0x0).

2018-02-12 10:07:35.582 MyAppSyncMobile.iOS[719:1700826] **********************************************************CurrentDomainOnUnhandledException
2018-02-12 10:07:35.583 MyAppSyncMobile.iOS[719:1700826] ############################################################
2018-02-12 10:07:35.602 MyAppSyncMobile.iOS[719:1700826] !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!System.Exception: CurrentDomainOnUnhandledException ---> System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <13d193f5a21b4e309afc67e0a5508d
b5>:0 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0003e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:134 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.F
orms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.U
pdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Pla
tform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Obj
ect sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:757 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+U
nevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:701 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:408 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000bc] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:536 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:307 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00
00a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x0001a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:233 
  at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.<OnCollectionChanged>b__0 () [0x00018] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:206 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000a0] in D:\age
nt\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:225 
  at Xamarin.Forms.ListProxy+WeakNotifyProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00031] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:394 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000f] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00009] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.Collection`1[T].Add (T item) [0x00020] in <a5703d12a6ed4411886f1283d7c45793>:0 
  at MyAppSyncMobile.ViewModels.Main
ViewModel+<>c__DisplayClass123_3.<RefreshMachineList>b__5 () [0x0004d] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile\ViewModels\MainViewModel.cs:1078 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:63 
  at MyAppSyncMobile.iOS.Application.Main (System.String[] args) [0x00030] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile.iOS\Main.cs:25 
   --- End of i
nner exception stack trace ---
Thread started:  #14
2018-02-12 10:07:35.766 MyAppSyncMobile.iOS[719:1700826] Unhandled managed exception:
Object reference not set to an instance of an object (System.NullReferenceException)
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementChanged (Xamarin.Forms.Pla
tform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0003e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:134 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\a
gent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamari
n.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <
13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in 
D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:757 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x0008c] in D:\
agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:701 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:408 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000bc] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:536 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:307 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItem
sList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x0001a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:233 
  at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.<OnCollectionChanged>b__0 () [0x00018] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:206 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000a0] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:225 
  at Xamarin.Forms.ListProxy+WeakNotif
yProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00031] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:394 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000f] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00009] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.Collection`1[T].Add (T item) [0x00020] in <a5703d12a6ed4411886f1283d7c45793>:0 
  at MyAppSyncMobile.ViewModels.MainViewModel+<>c__DisplayClass123_3.<RefreshMachineList>b__5 () [0x0004d] in C:\MyAppSyncN
ewVersion\MyAppSyncMobile\MyAppSyncMobile\ViewModels\MainViewModel.cs:1078 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:63 
  at MyAppSyncMobile.iOS.Application.Main (System.String[] args) [0x00030] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile.iOS\Main.cs:25 
2018-02-12 10:07:35.767 MyAppSyncMobile.iOS[719:1700826] critical: Stacktrace:

2018-02-12 10:07:35.76
7 MyAppSyncMobile.iOS[719:1700826] critical: 
Native stacktrace:

2018-02-12 10:07:35.769 MyAppSyncMobile.iOS[719:1700826] critical: 	0   MyAppSyncMobile.iOS                0x000000010285f958 MyAppSyncMobile.iOS + 35223896
2018-02-12 10:07:35.769 MyAppSyncMobile.iOS[719:1700826] critical: 	1   libsystem_platform.dylib            0x0000000181cd3b50 _sigtramp + 52
2018-02-12 10:07:35.769 MyAppSyncMobile.iOS[719:1700826] critical: 	2   libsystem_pthread.dylib             0x0000000181cd92f8 <redacted> + 396
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	3   libsystem_c.dylib                   0x0000000181b32fbc abort + 140
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	4   MyAppSyncMobile.iOS                0x00000001029ba5f0 xamarin_get_block_descriptor + 8960
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	5   MyAppSyncMobile.iOS                0x00000001028a73a4 mono_pmip + 255892
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] 
critical: 	6   MyAppSyncMobile.iOS                0x000000010285f4b8 MyAppSyncMobile.iOS + 35222712
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	7   MyAppSyncMobile.iOS                0x000000010285e2c8 MyAppSyncMobile.iOS + 35218120
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	8   MyAppSyncMobile.iOS                0x0000000102855ed8 MyAppSyncMobile.iOS + 35184344
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	9   MyAppSyncMobile.iOS                0x00000001009da998 MyAppSyncMobile.iOS + 3221912
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	10  MyAppSyncMobile.iOS                0x00000001006f9298 MyAppSyncMobile.iOS + 201368
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	11  MyAppSyncMobile.iOS                0x00000001009a8544 MyAppSyncMobile.iOS + 3016004
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	12  MyAppSyncMobile.iOS                0x000000010286f23
The app has been terminated.
c mono_pmip + 26156
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	13  MyAppSyncMobile.iOS                0x00000001028eac80 mono_pmip + 532592
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	14  MyAppSyncMobile.iOS                0x00000001028edf24 mono_pmip + 545556
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	15  MyAppSyncMobile.iOS                0x0000000102852724 MyAppSyncMobile.iOS + 35170084
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	16  MyAppSyncMobile.iOS                0x00000001029ca8c0 _Z9__isctypeim + 54672
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	17  MyAppSyncMobile.iOS                0x00000001006f433c MyAppSyncMobile.iOS + 181052
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	18  libdyld.dylib                       0x0000000181a9456c <redacted> + 4
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 
=============================
====================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
Comment 53 sylmz 2018-02-12 09:04:39 UTC
It seems that the bug still exists,I am using Xamarin.Forms 2.5.0.122203 and here is the output. 

[0:] Error: CurrentDomainOnUnhandledException: CurrentDomainOnUnhandledException
System.Exception: CurrentDomainOnUnhandledException ---> System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0003e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:134 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:757 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:701 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:408 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000bc] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:536 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:307 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x0001a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:233 
  at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.<OnCollectionChanged>b__0 () [0x00018] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:206 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000a0] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:225 
  at Xamarin.Forms.ListProxy+WeakNotifyProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00031] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:394 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000f] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00009] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.Collection`1[T].Add (T item) [0x00020] in <a5703d12a6ed4411886f1283d7c45793>:0 
  at MyAppSyncMobile.ViewModels.MainViewModel+<>c__DisplayClass123_3.<RefreshMachineList>b__5 () [0x0004d] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile\ViewModels\MainViewModel.cs:1078 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:63 
  at MyAppSyncMobile.iOS.Application.Main (System.String[] args) [0x00030] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile.iOS\Main.cs:25 
   --- End of inner exception stack trace ---

####################################
The thread 0x5 has exited with code 0 (0x0).
The thread 0x6 has exited with code 0 (0x0).

2018-02-12 10:07:35.582 MyAppSyncMobile.iOS[719:1700826] **********************************************************CurrentDomainOnUnhandledException
2018-02-12 10:07:35.583 MyAppSyncMobile.iOS[719:1700826] ############################################################
2018-02-12 10:07:35.602 MyAppSyncMobile.iOS[719:1700826] !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!System.Exception: CurrentDomainOnUnhandledException ---> System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <13d193f5a21b4e309afc67e0a5508d
b5>:0 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0003e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:134 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.F
orms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.U
pdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Pla
tform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Obj
ect sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:757 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+U
nevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:701 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:408 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000bc] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:536 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:307 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00
00a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x0001a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:233 
  at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.<OnCollectionChanged>b__0 () [0x00018] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:206 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000a0] in D:\age
nt\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:225 
  at Xamarin.Forms.ListProxy+WeakNotifyProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00031] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:394 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000f] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00009] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.Collection`1[T].Add (T item) [0x00020] in <a5703d12a6ed4411886f1283d7c45793>:0 
  at MyAppSyncMobile.ViewModels.Main
ViewModel+<>c__DisplayClass123_3.<RefreshMachineList>b__5 () [0x0004d] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile\ViewModels\MainViewModel.cs:1078 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:63 
  at MyAppSyncMobile.iOS.Application.Main (System.String[] args) [0x00030] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile.iOS\Main.cs:25 
   --- End of i
nner exception stack trace ---
Thread started:  #14
2018-02-12 10:07:35.766 MyAppSyncMobile.iOS[719:1700826] Unhandled managed exception:
Object reference not set to an instance of an object (System.NullReferenceException)
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementChanged (Xamarin.Forms.Pla
tform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0003e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:134 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\a
gent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamari
n.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <
13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateRenderers (Xamarin.Forms.Element newElement) [0x0008c] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:157 
  at Xamarin.Forms.Platform.iOS.RendererPool.UpdateNewElement (Xamarin.Forms.VisualElement newElement) [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\RendererPool.cs:78 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00050] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:161 
  at Xamarin.Forms.Platform.iOS.VisualElementPackager.OnRendererElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs args) [0x0000f] in 
D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\VisualElementPackager.cs:144 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x00118] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.iOS.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.CalculateHeightForCell (UIKit.UITableView tableView, Xamarin.Forms.Cell cell) [0x00035] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:757 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer+UnevenListViewDataSource.GetEstimatedRowHeight (UIKit.UITableView table) [0x0008c] in D:\
agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:701 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateEstimatedRowHeight () [0x0005f] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:408 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.UpdateItems (System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Int32 section, System.Boolean resetWhenGrouped) [0x000bc] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:536 
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ListViewRenderer.cs:307 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItem
sList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x0001a] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <1aabc0fecdaa41b6a5c04760c77bb648>:0 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000a] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:233 
  at Xamarin.Forms.ListProxy+<>c__DisplayClass33_0.<OnCollectionChanged>b__0 () [0x00018] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:206 
  at Xamarin.Forms.ListProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x000a0] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:225 
  at Xamarin.Forms.ListProxy+WeakNotif
yProxy.OnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00031] in D:\agent\_work\1\s\Xamarin.Forms.Core\ListProxy.cs:394 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0000f] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00009] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in <24ab45aca3bd43dca88a4166f90ed49f>:0 
  at System.Collections.ObjectModel.Collection`1[T].Add (T item) [0x00020] in <a5703d12a6ed4411886f1283d7c45793>:0 
  at MyAppSyncMobile.ViewModels.MainViewModel+<>c__DisplayClass123_3.<RefreshMachineList>b__5 () [0x0004d] in C:\MyAppSyncN
ewVersion\MyAppSyncMobile\MyAppSyncMobile\ViewModels\MainViewModel.cs:1078 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5665/f70a1348/source/xamarin-macios/src/UIKit/UIApplication.cs:63 
  at MyAppSyncMobile.iOS.Application.Main (System.String[] args) [0x00030] in C:\MyAppSyncNewVersion\MyAppSyncMobile\MyAppSyncMobile.iOS\Main.cs:25 
2018-02-12 10:07:35.767 MyAppSyncMobile.iOS[719:1700826] critical: Stacktrace:

2018-02-12 10:07:35.76
7 MyAppSyncMobile.iOS[719:1700826] critical: 
Native stacktrace:

2018-02-12 10:07:35.769 MyAppSyncMobile.iOS[719:1700826] critical: 	0   MyAppSyncMobile.iOS                0x000000010285f958 MyAppSyncMobile.iOS + 35223896
2018-02-12 10:07:35.769 MyAppSyncMobile.iOS[719:1700826] critical: 	1   libsystem_platform.dylib            0x0000000181cd3b50 _sigtramp + 52
2018-02-12 10:07:35.769 MyAppSyncMobile.iOS[719:1700826] critical: 	2   libsystem_pthread.dylib             0x0000000181cd92f8 <redacted> + 396
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	3   libsystem_c.dylib                   0x0000000181b32fbc abort + 140
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	4   MyAppSyncMobile.iOS                0x00000001029ba5f0 xamarin_get_block_descriptor + 8960
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	5   MyAppSyncMobile.iOS                0x00000001028a73a4 mono_pmip + 255892
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] 
critical: 	6   MyAppSyncMobile.iOS                0x000000010285f4b8 MyAppSyncMobile.iOS + 35222712
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	7   MyAppSyncMobile.iOS                0x000000010285e2c8 MyAppSyncMobile.iOS + 35218120
2018-02-12 10:07:35.770 MyAppSyncMobile.iOS[719:1700826] critical: 	8   MyAppSyncMobile.iOS                0x0000000102855ed8 MyAppSyncMobile.iOS + 35184344
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	9   MyAppSyncMobile.iOS                0x00000001009da998 MyAppSyncMobile.iOS + 3221912
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	10  MyAppSyncMobile.iOS                0x00000001006f9298 MyAppSyncMobile.iOS + 201368
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	11  MyAppSyncMobile.iOS                0x00000001009a8544 MyAppSyncMobile.iOS + 3016004
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	12  MyAppSyncMobile.iOS                0x000000010286f23
The app has been terminated.
c mono_pmip + 26156
2018-02-12 10:07:35.771 MyAppSyncMobile.iOS[719:1700826] critical: 	13  MyAppSyncMobile.iOS                0x00000001028eac80 mono_pmip + 532592
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	14  MyAppSyncMobile.iOS                0x00000001028edf24 mono_pmip + 545556
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	15  MyAppSyncMobile.iOS                0x0000000102852724 MyAppSyncMobile.iOS + 35170084
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	16  MyAppSyncMobile.iOS                0x00000001029ca8c0 _Z9__isctypeim + 54672
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	17  MyAppSyncMobile.iOS                0x00000001006f433c MyAppSyncMobile.iOS + 181052
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 	18  libdyld.dylib                       0x0000000181a9456c <redacted> + 4
2018-02-12 10:07:35.772 MyAppSyncMobile.iOS[719:1700826] critical: 
=============================
====================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
Comment 54 uwantfries 2018-02-13 14:42:17 UTC
This may not be related but I am also now getting this after changing to uneven rows. XF version 2.5.0.122203




at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:373 
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\EventTracker.cs:439 
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <13d193f5a21b4e309afc67e0a5508db5>:0 
  at Xamarin.Forms.Platform.iOS.ImageRenderer.<>n__0 (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) <0x10192deb0 + 0x00043> in <13d193f5a21b4e309afc67e0a5508db5#c80746deda99fe81460b07f2106c2d3e>:0 
  at Xamarin.Forms.Platform.iOS.ImageRenderer+<OnElementChanged>d__2.MoveNext () [0x000d6] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\ImageRenderer.cs:70 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:152 
  at System.Runtime.CompilerServices.AsyncMethodBuilderCore+<>c.<ThrowAsync>b__6_0 (System.Object state) [0x00000] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:1018 
  at UIKit.UIKitSynchronizationContext+<Post>c__AnonStorey0.<>m__0 () [0x00000] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/UIKit/UIKitSynchronizationContext.cs:24 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication.UIApplicationMain(int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/UIKit/UIApplication.cs:63 
  at XApp.iOS.Application.Main (System.String[] args) [0x00001] in C:\TFS\Apps\XApp\XApp\XApp.iOS\Main.cs:17
Comment 55 uwantfries 2018-02-14 17:36:36 UTC
I am also getting this.

XF# 2.5.0.122203



Incident Identifier: 7D80DD00-D59E-4764-A1F8-C877ADFB3B0A
CrashReporter Key:   71AF03DF-780D-4F93-A3EC-D839F084D51E
Hardware Model:      iPad4,4
Process:         XApp.iOS [1852]
Path:            /var/containers/Bundle/Application/60347128-E2B9-42CE-BDE5-862413CCEECD/XApp.iOS.app/XApp.iOS
Identifier:      uk.co.modernmindset.xapp
Version:         1 (1.0)
Code Type:       ARM-64
Parent Process:  ??? [1]

Date/Time:       2018-02-12T14:44:54Z
Launch Time:     2018-02-12T14:43:05Z
OS Version:      iPhone OS 11.0 (15A372)
Report Version:  104-Xamarin

Exception Type:  SIGABRT
Exception Codes: #0 at 0x181ad1348
Crashed Thread:  0

Application Specific Information:
*** Terminating app due to uncaught exception 'System.NullReferenceException', reason: 'System.NullReferenceException: Object reference not set to an instance of an object'

Xamarin Exception Stack:
  at Xamarin.Forms.Platform.iOS.LabelRenderer.UpdateFont () [0x00010] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:301 
  at Xamarin.Forms.Platform.iOS.LabelRenderer.OnElementPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x00079] in D:\agent\_work\1\s\Xamarin.Forms.Platform.iOS\Renderers\LabelRenderer.cs:148 
  at (wrapper delegate-invoke) <Module>.invoke_void_object_PropertyChangedEventArgs(object,System.ComponentModel.PropertyChangedEventArgs)
  at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:138 
  at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\Element.cs:401 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x00107] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:594 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:391 
  at Xamarin.Forms.BindableObject.SetValue (Xamarin.Forms.BindableProperty property, System.Object value, System.Boolean fromStyle, System.Boolean checkAccess) [0x0005f] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:544 
  at Xamarin.Forms.BindableObject.SetValue (Xamarin.Forms.BindableProperty property, System.Object value) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:84 
  at Xamarin.Forms.FontElement.OnFontAttributesChanged (Xamarin.Forms.BindableObject bindable, System.Object oldValue, System.Object newValue) [0x0005d] in D:\agent\_work\1\s\Xamarin.Forms.Core\FontElement.cs:118 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x0011b] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:597 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindableObject.cs:391 
  at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x001f9] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindingExpression.cs:174 
  at Xamarin.Forms.BindingExpression.Apply (System.Boolean fromTarget) [0x0003e] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindingExpression.cs:56 
  at Xamarin.Forms.BindingExpression+BindingExpressionPart.<PropertyChanged>b__47_0 () [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\BindingExpression.cs:547 
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/Foundation/NSAction.cs:163 
  at (wrapper managed-to-native) UIKit.UIApplication.UIApplicationMain(int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/UIKit/UIApplication.cs:79 
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.8.0.8/src/Xamarin.iOS/UIKit/UIApplication.cs:63 
  at XApp.iOS.Application.Main (System.String[] args) [0x00001] in C:\Projects\XApp\XApp\XApp.iOS\Main.cs:17

Last Exception Backtrace:
0   CoreFoundation                       0x0000000181fb7d38 0x181e76000 + 1318200
1   libobjc.A.dylib                      0x00000001814cc528 0x1814c4000 + 34088
2   CoreFoundation                       0x0000000181fb7a00 0x181e76000 + 1317376
3   XApp.iOS                             0x0000000102b189a8 0x1011fc000 + 26331560
4   XApp.iOS                             0x0000000102adcc64 0x1011fc000 + 26086500
[SNIP]
Comment 56 Marc Negri 2018-03-05 18:23:28 UTC
Xamarin.Forms 2.5.0.28055

This is insane, I still have this bug with Listview and Image on ViewCell

System.NullReferenceException: Object reference not set to an instance of an object
  at Xamarin.Forms.Platform.iOS.EventTracker.LoadRecognizers () [0x0005d] in <bc5a3d4303744676b3b36f4254bb697d>:0
  at Xamarin.Forms.Platform.iOS.EventTracker.OnElementChanged (System.Object sender, Xamarin.Forms.Platform.iOS.VisualElementChangedEventArgs e) [0x0004e] in <bc5a3d4303744676b3b36f4254bb697d>:0
  at Xamarin.Forms.Platform.iOS.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x0002c] in <bc5a3d4303744676b3b36f4254bb697d>:0
  at Xamarin.Forms.Platform.iOS.ViewRenderer`2[TView,TNativeView].OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <bc5a3d4303744676b3b36f4254bb697d>:0
  at Xamarin.Forms.Platform.iOS.ImageRenderer.<>n__0 (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs`1[TElement] e) [0x00000] in <bc5a3d4303744676b3b36f4254bb697d>:0
  at Xamarin.Forms.Platform.iOS.ImageRenderer+<OnElementChanged>d__2.MoveNext () [0x000d6] in <bc5a3d4303744676b3b36f4254bb697d>:0
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.6.1.4/src/mono/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:152
  at System.Runtime.CompilerServices.AsyncMethodBuilderCore+<>c.<ThrowAsync>b__6_0 (System.Object state) [0x00000] in /Library/Frameworks/Xamarin.iOS.framework/Versions/11.6.1.4/src/mono/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:1018
  at UIKit.UIKitSynchronizationContext+<Post>c__AnonStorey0.<>m__0 () [0x00000] in /Users/builder/data/lanes/5665/db807ec9/source/xamarin-macios/src/UIKit/UIKitSynchronizationContext.cs:24
  at Foundation.NSAsyncActionDispatcher.Apply () [0x00000] in /Users/builder/data/lanes/5665/db807ec9/source/xamarin-macios/src/Foundation/NSAction.cs:163
  at at (wrapper managed-to-native) UIKit.UIApplication:UIApplicationMain (int,string[],intptr,intptr)
  at UIKit.UIApplication.Main (System.String[] args, System.IntPtr principal, System.IntPtr delegate) [0x00005] in /Users/builder/data/lanes/5665/db807ec9/source/xamarin-macios/src/UIKit/UIApplication.cs:79
  at UIKit.UIApplication.Main (System.String[] args, System.String principalClassName, System.String delegateClassName) [0x00038] in /Users/builder/data/lanes/5665/db807ec9/source/xamarin-macios/src/UIKit/UIApplication.cs:63
  at YouWeesh.Mobile.IHM.iOS.Application.Main (System.String[] args) [0x00001] in /Users/marcnegri/Project/YouWeeshDev/UptoMobileIHM/YouWeesh.Mobile.IHM/YouWeesh.Mobile.IHM.iOS/Main.cs:15


Will Microsoft plan to resolve this bug ? This is a basic feature.
Comment 57 uwantfries 2018-03-07 11:57:30 UTC
Looks like a fix may have been pushed out. I need to download and test this..

https://developer.xamarin.com/releases/xamarin-forms/xamarin-forms-2.5/2.5.1-pre1/ Github #1435
Comment 58 Luis 2018-03-07 11:58:31 UTC
It doesn't fix it. at least not for me.
I think they've mistakenly claimed to have fixed it because that issue was marked as closed, but the follow up ticket that they've opened is still unresolved.
Comment 59 Marc Negri 2018-03-07 12:00:34 UTC
Me neither... I still can't manpiulate listView on ios with ViewModel. I'm trying to create a test "bug" project and reproduce this issue. I'm so exhausted... :(
Comment 60 uwantfries 2018-03-07 12:01:17 UTC
Yes. I just saw the last line of this thread as well :(
https://github.com/xamarin/Xamarin.Forms/issues/1795
Comment 61 Marc Negri 2018-03-07 17:28:49 UTC
Hi Guys,

I found a workaround about this. This is a little ugly, but it's working.

So,

In your ViewModel, each time you try to add an item. You have to create a new temp list. Copy all your items from the main list. Nullable your main list and copy each items on the main list.

Do the same thing when you refresh... 

I know, it seems stupid, but it's working...

Tell me if it's ok for you !

See ya.
Marc